#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct M_DialLotteryCFGData
{
	//编号
	int mID;
	//奖励金币
	int mRewardCoin;
	//奖励类型(M_item ID)
	int mRewardType;
	//图标缩放比例
	float mScale;
	//物品ICON
	std::string mIcon;
	//第一次转转盘
	int mFirstProb;
	//身上没钱
	int mNoMoneyProb;
	//7天内有钱
	int mLess7DaysProb;
	//7天后可抽话费券
	int mCanGetChipProb;
	//7天后不可抽话费券
	int mCannotGetChipProb;
};

class M_DialLotteryCFG
{
public:
private:
	static std::auto_ptr<M_DialLotteryCFG> msSingleton;
public:
	int GetCount();
	const M_DialLotteryCFGData* GetData(int ID);
	boost::unordered_map<int, M_DialLotteryCFGData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static M_DialLotteryCFG* GetSingleton();
private:
	boost::unordered_map<int, M_DialLotteryCFGData> mMapData;
};
